#
# spec file for package python-pyxattr
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%global mod_name pyxattr
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define github_url https://github.com/iustin/%{mod_name}/releases/download
Name:           python-%{mod_name}
Version:        0.7.1
Release:        bp155.2.13
Summary:        Filesystem extended attributes for python
License:        LGPL-2.1-or-later
URL:            https://pyxattr.k1024.org/
Source0:        %{github_url}/v%{version}/%{mod_name}-%{version}.tar.gz
Source1:        %{github_url}/v%{version}/%{mod_name}-%{version}.tar.gz.asc
Source2:        https://k1024.org/files/key.asc#/%{name}.keyring
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  libattr-devel
BuildRequires:  python-rpm-macros
BuildRequires:  python3-pytest
%python_subpackages

%description
This is a C extension module for Python which
implements extended attributes manipulation. It is a wrapper on top
of the attr C library - see attr(5).

%prep
%autosetup -n pyxattr-%{version}

%build
%python_build

%check
# the module is just a C extension => need to add the installed destination to
# PYTHONPATH, otherwise it won't be found
export PYTHONPATH=%{buildroot}%{python3_sitearch}:$PYTHONPATH
%python_exec -m pytest test

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%{python_sitearch}/xattr*
%{python_sitearch}/*egg-info
%license COPYING
%doc NEWS README.md

%changelog
* Wed Feb 19 2020 Dan Čermák <dcermak@suse.com>
- New upstream release 0.7.1
  * Fix license to LGPL 2.1 and later
  * Add keyring for source verification
  Changelog:
  Major change: drop compatibility with Python 2, which allows significant code
  cleanups.
  Other changes:
  * Switch internal implementation of argument parsing to a built-in one
    (`PyUnicode_FSConverter`), which brings automatic support for
    path-like objects in Python 3.6+ (#20), and also a more uniform
    handling of Unicode path arguments with respect to other Python code.
  * Fix missing error check in list operations in `get_all` (#17).
  * Switch test library to pytest; not that a reasonable recent version is
    needed. Additionally, expand test coverage, although not directly
    visible in actual coverage reports…
* Tue Jul 16 2019 Dan Čermák <dcermak@suse.com>
- Initial package version
